Package Details: lib32-gmp4 4.3.2-2

Git Clone URL: https://aur.archlinux.org/lib32-gmp4.git (read-only)
Package Base: lib32-gmp4
Description: Legacy version of gmp. Provides libgmp.so.3 (32 bit)
Upstream URL: http://gmplib.org/
Keywords: gmp4 lib32
Licenses: LGPL3
Submitter: Xemertix
Maintainer: uncle
Last Packager: uncle
Votes: 62
Popularity: 1.754442
First Submitted: 2010-11-27 19:59
Last Updated: 2016-02-08 11:42

Latest Comments

uncle commented on 2016-02-08 11:42

Fixed.

rafaelff commented on 2016-02-01 05:58

There's a "archive/" missing in the source array. Correct would be:
source=(https://gmplib.org/download/gmp/archive/gmp-${pkgver}.tar.bz2)

Graith commented on 2016-02-01 04:24

Source at gmplib.org is giving 404.

uncle commented on 2015-10-09 01:16

I have adopted this package, and downgraded it it gmp4, as it had previously been upgraded to gmp5. As the package is titled "gmp4" I thought this made sense. This package will also once again provide libgmp.so.3 (gmp3). If you have previously installed this package you will probably have to manually reinstall it, or uninstall then install again in order to get the new downgraded version.

Sudowoodo commented on 2014-07-19 10:33

Orphaned.

Sudowoodo commented on 2014-07-17 18:51

@egates Indeed, libgmp.so.3 is not provided. Should I orphan the package?

egates commented on 2014-07-16 21:34

New package no longer provides libgmp.so.3

JoeGruff commented on 2014-03-18 01:55

This just worked fine for me.

Anonymous comment on 2013-09-16 22:17

Problem persists here:

(...)
PASS: t-fib_ui
PASS: t-lucnum_ui
/bin/sh: line 4: 22644 Falha de segmentação (imagem do núcleo gravada)${dir}$tst
FAIL: t-scan
(...)

$ sh -x /tmp/yaourt-tmp-user/aur-gmp4/src/gmp-4.3.2/tests/mpz/t-scan
Results:
http://pastebin.com/XNRiKGu5

$ /tmp/yaourt-tmp-user/aur-gmp4/src/gmp-4.3.2/tests/mpz/.libs/lt-t-scan
Falha de segmentação (imagem do núcleo gravada)

Anonymous comment on 2013-06-01 14:28

@symbal Problem seems to be fixed now

symbal commented on 2013-05-18 12:05

This build fails on the following check

/bin/sh: line 4: 32639 Segmentation fault
FAIL: t-scan

Mossepo commented on 2013-04-29 07:15

Building lib32-gmp4 fails for me:
...
PASS: t-fib_ui
PASS: t-lucnum_ui
/bin/sh: line 4: 17902 Segmentation fault (core dumped) ${dir}$tst
FAIL: t-scan
PASS: t-divis
...
====================================
1 of 58 tests failed

make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/tmp/yaourt-tmp-mossepo/aur-lib32-gmp4/src/gmp-4.3.2/tests/mpz'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/tmp/yaourt-tmp-mossepo/aur-lib32-gmp4/src/gmp-4.3.2/tests/mpz'
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory `/tmp/yaourt-tmp-mossepo/aur-lib32-gmp4/src/gmp-4.3.2/tests'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/tmp/yaourt-tmp-mossepo/aur-lib32-gmp4/src/gmp-4.3.2'
make: *** [check] Error 2
==> ERROR: A failure occurred in check().
Aborting...

Any idea what's up with this?

rafaelff commented on 2012-03-27 01:04

Updated to 4.2.3-3 - This should fix it.

rafaelff commented on 2012-03-26 16:01

@Falcata: True. I'll remove the conflicts asap.

ZauberParacelsus commented on 2012-03-26 15:26

I think this package is conflicting with lib32-gmp:

error: failed to commit transaction (conflicting files)
lib32-gmp4: /usr/lib32/gmp/gmp.h exists in filesystem
lib32-gmp4: /usr/lib32/gmp/gmpxx.h exists in filesystem
lib32-gmp4: /usr/lib32/libgmp.a exists in filesystem
lib32-gmp4: /usr/lib32/libgmp.so exists in filesystem
lib32-gmp4: /usr/lib32/libgmpxx.a exists in filesystem
lib32-gmp4: /usr/lib32/libgmpxx.so exists in filesystem
lib32-gmp4: /usr/lib32/libgmpxx.so.4 exists in filesystem

And this confirms it:


$ yaourt -Ql lib32-gmp
lib32-gmp /usr/
lib32-gmp /usr/lib32/
lib32-gmp /usr/lib32/gmp/
lib32-gmp /usr/lib32/gmp/gmp.h
lib32-gmp /usr/lib32/gmp/gmpxx.h
lib32-gmp /usr/lib32/libgmp.a
lib32-gmp /usr/lib32/libgmp.so
lib32-gmp /usr/lib32/libgmp.so.10
lib32-gmp /usr/lib32/libgmp.so.10.0.4
lib32-gmp /usr/lib32/libgmpxx.a
lib32-gmp /usr/lib32/libgmpxx.so
lib32-gmp /usr/lib32/libgmpxx.so.4
lib32-gmp /usr/lib32/libgmpxx.so.4.2.4

rafaelff commented on 2011-08-03 16:46

Adopted and fixed. 'gcc-multilib' had to be added as make-dependency.

Anonymous comment on 2011-07-29 16:20

Doesn't compile for me.
$ makepkg -s
...
==> Starting build()...
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking ABI=32
checking compiler gcc -m32 -march=x86-64 -mtune=generic -O2 -pipe ... no
configure: error: could not find a working compiler, see config.log for details
==> ERROR: A failure occurred in build().
Aborting...